/etc/default/grub.d/xen.cfg only works on english language system

Bug #1321144 reported by Torsten Harenberg on 2014-05-20
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
xen (Ubuntu)
Medium
Unassigned
Xenial
Medium
Unassigned
Zesty
Medium
Unassigned

Bug Description

/etc/default/grub.d/xen.cfg, created by xen-hypervisor-4.4-amd64, has:

if [ "$XEN_OVERRIDE_GRUB_DEFAULT" = "1" ]; then
 GRUB_DEFAULT="Ubuntu GNU/Linux, with Xen-Hypervisor"
fi

which only works if the system is setup with english language, on a de_DE system is appropriate entry would be

if [ "$XEN_OVERRIDE_GRUB_DEFAULT" = "1" ]; then
 GRUB_DEFAULT="Ubuntu GNU/Linux, mit Xen-Hypervisor"
fi

As grub uses the system language, it will not boot into the Xen hypervisor non a non-english system.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xen-hypervisor-4.4-amd64 4.4.0-0ubuntu5
ProcVersionSignature: Ubuntu 3.13.0-24.47-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.1
Architecture: amd64
Date: Tue May 20 09:07:18 2014
InstallationDate: Installed on 2014-05-15 (4 days ago)
InstallationMedia: Ubuntu-Server 14.04 LTS "Trusty Tahr" - Release amd64 (20140416.2)
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: xen
UpgradeStatus: No upgrade log present (probably fresh install)
mtime.conffile..etc.default.grub.d.xen.cfg: 2014-05-16T09:18:53.338625

Torsten Harenberg (harenberg) wrote :
Torsten Harenberg (harenberg) wrote :

sorry, the english default was

if [ "$XEN_OVERRIDE_GRUB_DEFAULT" = "1" ]; then
 GRUB_DEFAULT="Ubuntu GNU/Linux, with Xen hypervisor"
fi

copy/paste error

Robie Basak (racb) on 2014-05-20
Changed in xen (Ubuntu):
importance: Undecided → Medium
Beci (w4-info) wrote :

And in hungarian language:

if [ "$XEN_OVERRIDE_GRUB_DEFAULT" = "1" ]; then
     GRUB_DEFAULT="Ubuntu GNU/Linux, Xen hypervisorral"
fi

the name is from:
/boot/grub/grub.cfg

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xen (Ubuntu):
status: New → Confirmed

This wasn't touched for a while.
I'm gonna subscribe smb who takes care of xen.
OTOH non default languages are rather rare for servers, also the impact isn't that bad so I'd lower the severity.

This covers also other sorts of typos, dupping a bug onto this.
The solution should be independent of that text anyway to be done right.

On 07.06.2017 19:16, ChristianEhrhardt wrote:
> This covers also other sorts of typos, dupping a bug onto this.
> The solution should be independent of that text anyway to be done right.
>

It is either text or entry number currently. There has been some thinking about
moving the generator in /etc/grub.d but that has been said to be complicated. Or
causing problems.
I agree it is an inconvenience but after all /etc/default/grub.d/xen.cfg is a
config file.

Stefan Bader (smb) wrote :

Could someone who has Xen installed with a non-en locale try out the following change for me? As root, edit /etc/default/grub.d/xen.cfg and replace GRUB_DEFAULT= (at the bottom of that file) by:

  GRUB_DEFAULT=$( \
    printf "$(gettext "%s, with Xen hypervisor")" \
    "$GRUB_DISTRIBUTOR GNU/Linux")

Then run "sudo update-grup" and check whether "grep 'set default=' /boot/grub/grub.cfg | tail -1" shows a localized string. Thanks!

Mateusz Szymaniec (rev+) wrote :

Also in Ubuntu 17.04 there was "Debian GNU/Linux, with Xen hypervisor" (Debian, not Ubuntu) in "/etc/default/grub.d/xen.cfg" which breaks it even on English systems.

Stefan Bader (smb) on 2017-08-04
Changed in xen (Ubuntu Xenial):
importance: Undecided → Medium
status: New → Triaged
Changed in xen (Ubuntu):
status: Confirmed → Triaged
Changed in xen (Ubuntu Zesty):
importance: Undecided → Medium
status: New → Triaged
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package xen - 4.9.0-0ubuntu2

---------------
xen (4.9.0-0ubuntu2) artful; urgency=medium

  * Add libxendevicemodel references to d/libxen-dev.install

xen (4.9.0-0ubuntu1) artful; urgency=medium

  * Update to upstream 4.9.0 release.
    Changes include numerous bugfixes, including security fixes for:
    XSA-213 / CVE-2017-8903
    XSA-214 / CVE-2017-8904
    XSA-217 / CVE-2017-10912
    XSA-218 / CVE-2017-10913, CVE-2017-10914
    XSA-219 / CVE-2017-10915
    XSA-220 / CVE-2017-10916
    XSA-221 / CVE-2017-10917
    XSA-222 / CVE-2017-10918
    XSA-223 / CVE-2017-10919
    XSA-224 / CVE-2017-10920, CVE-2017-10921, CVE-2017-10922
    XSA-225 / CVE-2017-10923
  * Additional CVE's:
    - XSA-226 / CVE-2017-12135
    - XSA-227 / CVE-2017-12137
    - XSA-228 / CVE-2017-12136
    - XSA-230 / CVE-2017-12855
  * Additional fixes:
    - debian/rules.real:
      - Add a call to build common tool headers
      - Add a call to install common tool headers
    - Add checking of return values of asprintf calls.
      - d/p/ubuntu/tools-xs-test-hardening.patch
    - Add additional modifications for new libxendevicemodel
      - d/p/ubuntu/tools-libs-abiname.diff
    - Fix a segmentation fault when mmio_hole is set in hvm.cfg (from 4.9.y)
      - d/p/upstream-4.9.1-tools-libxl-Fix-a-segment-fault-when-mmio_hole...
    - Enable Local MCE feature
      - d/p/.../0001-x86-mce-make-mce-barriers-private-to-their-users.patch
      - d/p/.../0002-x86-mce-make-found_error-and-mce_fatal_cpus-private-.patch
      - d/p/.../0003-x86-mce-fix-comment-of-struct-mc_telem_cpu_ctl.patch
      - d/p/.../0004-x86-mce-allow-mce_barrier_-enter-exit-to-return-with.patch
      - d/p/.../0005-x86-mce-handle-host-LMCE.patch
      - d/p/.../0006-x86-mce_intel-detect-and-enable-LMCE-on-Intel-host.patch
      - d/p/.../0007-x86-domctl-generalize-the-restore-of-vMCE-parameters.patch
      - d/p/.../0008-x86-vmce-emulate-MSR_IA32_MCG_EXT_CTL.patch
      - d/p/.../0009-x86-vmce-enable-injecting-LMCE-to-guest-on-Intel-hos.patch
      - d/p/.../0010-x86-vmx-expose-LMCE-feature-via-guest-MSR_IA32_FEATU.patch
      - d/p/.../0011-x86-vmce-tools-libxl-expose-LMCE-capability-in-guest.patch
      - d/p/.../0012-x86-mce-add-support-of-vLMCE-injection-to-XEN_MC_inj.patch
    - Re-introduce (fake) xs_restrict call to keep libxenstore version at
      3.0 for now.
      - d/p/ubuntu/tools-fake-xs-restrict.patch
    - debian/libxenstore3.0.symbols:
      - Added xs_control_command
    - xen-4.9.0/debian/xen-hypervisor-4.9.xen.cfg:
      - Modified GRUB_DEFAULT setting to be dynamic (like update-grub does)
        which should handle non English environments (LP: #1321144)

xen (4.8.1-1+deb9u1) unstable; urgency=medium

  * Security fixes for XSA-213 (Closes:#861659) and XSA-214
    (Closes:#861660). (Xen 4.7 and later is not affected by XSA-215.)

xen (4.8.1-1) unstable; urgency=high

  * Update to upstream 4.8.1 release.
    Changes include numerous bugfixes, including security fixes for:
      XSA-212 / CVE-2017-7228 Closes:#859560
      XSA-207 / no cve yet Closes:#856229
      XSA-206 / no cve yet no Debian bug

xen (4.8.1~pre.2017.01.23-1) unstable; urge...

Read more...

Changed in xen (Ubuntu):
status: Triaged → Fix Released
Adam Bell (arbell) wrote :

Marking as "Incomplete" for Xenial. I was unable to reproduce this bug on a current Xenial installation. If the fix was applied to the Xenial package as it may have been, please update this bug report with the relevant information.

Changed in xen (Ubuntu Zesty):
status: Triaged → Won't Fix
Changed in xen (Ubuntu Xenial):
status: Triaged → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers